%define        repodir    %{_javadir}/repository.jboss.com/snmptrapappender/%{version}-brew
%define        repodirlib %{repodir}/lib
%define        repodirsrc %{repodir}/src
%define        javahome   /usr/lib/jvm/java-gcj
Name:          snmptrapappender
Version:       1.2.9.1
Release:       %mkrel 2
Summary:       SNMP Trap Appender extension for log4j
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/log4j-snmp-trap-appender/
# mkdir snmptrapappender-%{version} && cd snmptrapappender-%{version}
# svn checkout http://log4j-snmp-trap-appender.googlecode.com/svn/trunk/ log4j-snmp-trap-appender-read-only
# mv log4j-snmp-trap-appender-read-only src
# cd ..
# tar czf snmptrapappender-%{version}-src-svn.tar.gz snmptrapappender-%{version}
Source0:       snmptrapappender-%{version}-src-svn.tar.gz
Source1:       snmptrapappender-%{version}_build.xml
Source2:       snmptrapappender-%{version}.pom
Source3:       component-info-3.xml
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: joesnmp
BuildRequires: jpackage-utils
BuildRequires: liblog4j-java
BuildRequires: java-1.5.0-gcj-devel 
Requires:      joesnmp
Requires:      jpackage-utils
Requires:      liblog4j-java
BuildArch:     noarch

%description
An appender to send formatted logging event strings to a
specified managment host (typically, a MLM of some sort,
but could also be an SNMP management console) in the form
of an SNMP trap.
This appender does not attempt to provide full access to the
SNMP API. In particular, use of this appender does not make
an SNMP agent out of the calling application. You cannot use
this appender as an interface to do SNMP GET or SET calls --
all it does is pass on your logging event as a TRAP.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
SNMP Trap Appender extension for log4j.

This package contains Javadoc for %{name}.

%package repolib
Group:         Development/Java
Summary:       Artifacts to be uploaded to a repository library

%description repolib
SNMP Trap Appender extension for log4j.

This package contains artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.

%prep
%setup -q -n snmptrapappender-%{version}

cp %{SOURCE1} build.xml

chmod -R go=u-w *

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

rm -f src/org/apache/log4j/ext/WengsoftSNMPTrapSender.java

%build
export JAVA_HOME=%javahome
export CLASSPATH=$(build-classpath joesnmp log4j)
ant \
  -Dant.build.javac.source=1.5 \
  -Dant.build.javac.target=1.5 \
  dist javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -pm 644 dist/lib/snmpTrapAppender-%{version}.jar \
  %{buildroot}%{_javadir}/snmptrapappender-%{version}.jar

%add_to_maven_depmap snmptrapappender snmpTrapAppender %{version} JPP snmptrapappender
install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-snmptrapappender.pom

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/snmptrapappender-%{version}
cp -pr javadoc/* %{buildroot}%{_javadocdir}/snmptrapappender-%{version}
ln -s snmptrapappender-%{version} %{buildroot}%{_javadocdir}/snmptrapappender 

mkdir -p %{buildroot}%{repodir}
mkdir -p %{buildroot}%{repodirlib}
install -m 644 %{SOURCE3} %{buildroot}%{repodir}/component-info.xml
tag=`echo snmptrapappender-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@NAME@/snmptrapappender-component-info/g" %{buildroot}%{repodir}/component-info.xml
sed -i "s/@ID@/snmptrapappender/g" %{buildroot}%{repodir}/component-info.xml
sed -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
sed -i "s/@VERSION@/%{version}-brew/g" %{buildroot}%{repodir}/component-info.xml
sed -i "s/@LICENSE@/%{license}/g" %{buildroot}%{repodir}/component-info.xml
sed -i "s|@PROJECTHOME@|%{url}|g" %{buildroot}%{repodir}/component-info.xml
sed -i "s/@DESCRIPTION@/SNMP Trap Appender extension for log4j/g" \
	%{buildroot}%{repodir}/component-info.xml
sed -i "s/@ARTIFACTID@/snmpTrapAppender.jar/g" %{buildroot}%{repodir}/component-info.xml
sed -i "s/@INCLUDEINPUT@/snmpTrapAppender.jar/g" %{buildroot}%{repodir}/component-info.xml
mkdir -p %{buildroot}%{repodirsrc}
install -m 644 %{SOURCE0} %{buildroot}%{repodirsrc}
install -m 644 %{SOURCE1} %{buildroot}%{repodirsrc}
cp %{buildroot}%{_javadir}/snmptrapappender-%{version}.jar %{buildroot}%{repodirlib}/snmpTrapAppender.jar
cp %{SOURCE2} %{buildroot}%{repodirlib}/snmpTrapAppender.pom

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/snmptrapappender-%{version}.jar
%{_javadir}/snmptrapappender.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/snmptrapappender-%{version}
%{_javadocdir}/snmptrapappender

%files repolib
%{repodir}



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.2.9.1-2.mga3
+ Revision: 382263
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 02 2011 dmorgan <dmorgan> 1.2.9.1-1.mga2
+ Revision: 131292
- Clean spec file

  + gil <gil>
    - imported package snmptrapappender

